import java.util.Arrays;
import java.util.Random;

public class Class288 {

   int[] anIntArray3383 = new int[]{0, 0, 0, 0, 0};
   int[] anIntArray3384 = new int[]{0, 0, 0, 0, 0};
   Class201 aClass201_3385;
   Class201 aClass201_3386;
   Class201 aClass201_3387;
   Class201 aClass201_3388;
   Class201 aClass201_3389;
   Class201 aClass201_3390;
   Class201 aClass201_3391;
   int anInt3392 = 0;
   int[] anIntArray3393 = new int[]{0, 0, 0, 0, 0};
   static final double aDouble3394 = 1.0057929410678534D;
   int anInt3395 = 100;
   Class284 aClass284_3396;
   Class201 aClass201_3397;
   int anInt3398 = 500;
   static int[] anIntArray3399;
   static int[] anIntArray3400;
   static int[] anIntArray3401 = new int['\u8000'];
   int anInt3402 = 0;
   Class201 aClass201_3403;
   static int[] anIntArray3404;
   static int[] anIntArray3405;
   static int[] anIntArray3406;
   static int[] anIntArray3407;
   static int[] anIntArray3408;


   final int[] method5264(int var1, int var2) {
      Arrays.fill(anIntArray3399, 0, var1, 0);
      if(var2 < 10) {
         return anIntArray3399;
      } else {
         double var3 = (double)var1 / ((double)var2 + 0.0D);
         this.aClass201_3391.method3439();
         this.aClass201_3403.method3439();
         int var5 = 0;
         int var6 = 0;
         int var7 = 0;
         if(this.aClass201_3385 != null) {
            this.aClass201_3385.method3439();
            this.aClass201_3386.method3439();
            var5 = (int)((double)(this.aClass201_3385.anInt2388 - this.aClass201_3385.anInt2381) * 32.768D / var3);
            var6 = (int)((double)this.aClass201_3385.anInt2381 * 32.768D / var3);
         }

         int var8 = 0;
         int var9 = 0;
         int var10 = 0;
         if(this.aClass201_3387 != null) {
            this.aClass201_3387.method3439();
            this.aClass201_3388.method3439();
            var8 = (int)((double)(this.aClass201_3387.anInt2388 - this.aClass201_3387.anInt2381) * 32.768D / var3);
            var9 = (int)((double)this.aClass201_3387.anInt2381 * 32.768D / var3);
         }

         int var11;
         for(var11 = 0; var11 < 5; ++var11) {
            if(this.anIntArray3393[var11] != 0) {
               anIntArray3404[var11] = 0;
               anIntArray3405[var11] = (int)((double)this.anIntArray3383[var11] * var3);
               anIntArray3406[var11] = (this.anIntArray3393[var11] << 14) / 100;
               anIntArray3407[var11] = (int)((double)(this.aClass201_3391.anInt2388 - this.aClass201_3391.anInt2381) * 32.768D * Math.pow(1.0057929410678534D, (double)this.anIntArray3384[var11]) / var3);
               anIntArray3408[var11] = (int)((double)this.aClass201_3391.anInt2381 * 32.768D / var3);
            }
         }

         int var12;
         int var13;
         int var14;
         int var15;
         for(var11 = 0; var11 < var1; ++var11) {
            var12 = this.aClass201_3391.method3437(var1);
            var13 = this.aClass201_3403.method3437(var1);
            if(this.aClass201_3385 != null) {
               var14 = this.aClass201_3385.method3437(var1);
               var15 = this.aClass201_3386.method3437(var1);
               var12 += this.method5266(var7, var15, this.aClass201_3385.anInt2383) >> 1;
               var7 += (var14 * var5 >> 16) + var6;
            }

            if(this.aClass201_3387 != null) {
               var14 = this.aClass201_3387.method3437(var1);
               var15 = this.aClass201_3388.method3437(var1);
               var13 = var13 * ((this.method5266(var10, var15, this.aClass201_3387.anInt2383) >> 1) + '\u8000') >> 15;
               var10 += (var14 * var8 >> 16) + var9;
            }

            for(var14 = 0; var14 < 5; ++var14) {
               if(this.anIntArray3393[var14] != 0) {
                  var15 = var11 + anIntArray3405[var14];
                  if(var15 < var1) {
                     anIntArray3399[var15] += this.method5266(anIntArray3404[var14], var13 * anIntArray3406[var14] >> 15, this.aClass201_3391.anInt2383);
                     anIntArray3404[var14] += (var12 * anIntArray3407[var14] >> 16) + anIntArray3408[var14];
                  }
               }
            }
         }

         int var16;
         if(this.aClass201_3389 != null) {
            this.aClass201_3389.method3439();
            this.aClass201_3390.method3439();
            var11 = 0;
            boolean var20 = false;
            boolean var19 = true;

            for(var14 = 0; var14 < var1; ++var14) {
               var15 = this.aClass201_3389.method3437(var1);
               var16 = this.aClass201_3390.method3437(var1);
               if(var19) {
                  var12 = this.aClass201_3389.anInt2381 + ((this.aClass201_3389.anInt2388 - this.aClass201_3389.anInt2381) * var15 >> 8);
               } else {
                  var12 = this.aClass201_3389.anInt2381 + ((this.aClass201_3389.anInt2388 - this.aClass201_3389.anInt2381) * var16 >> 8);
               }

               var11 += 256;
               if(var11 >= var12) {
                  var11 = 0;
                  var19 = !var19;
               }

               if(var19) {
                  anIntArray3399[var14] = 0;
               }
            }
         }

         if(this.anInt3402 > 0 && this.anInt3395 > 0) {
            var11 = (int)((double)this.anInt3402 * var3);

            for(var12 = var11; var12 < var1; ++var12) {
               anIntArray3399[var12] += anIntArray3399[var12 - var11] * this.anInt3395 / 100;
            }
         }

         if(this.aClass284_3396.anIntArray3344[0] > 0 || this.aClass284_3396.anIntArray3344[1] > 0) {
            this.aClass201_3397.method3439();
            var11 = this.aClass201_3397.method3437(var1 + 1);
            var12 = this.aClass284_3396.method5215(0, (float)var11 / 65536.0F);
            var13 = this.aClass284_3396.method5215(1, (float)var11 / 65536.0F);
            if(var1 >= var12 + var13) {
               var14 = 0;
               var15 = var13;
               if(var13 > var1 - var12) {
                  var15 = var1 - var12;
               }

               int var17;
               while(var14 < var15) {
                  var16 = (int)((long)anIntArray3399[var14 + var12] * (long)Class284.anInt3334 >> 16);

                  for(var17 = 0; var17 < var12; ++var17) {
                     var16 += (int)((long)anIntArray3399[var14 + var12 - 1 - var17] * (long)Class284.anIntArrayArray3339[0][var17] >> 16);
                  }

                  for(var17 = 0; var17 < var14; ++var17) {
                     var16 -= (int)((long)anIntArray3399[var14 - 1 - var17] * (long)Class284.anIntArrayArray3339[1][var17] >> 16);
                  }

                  anIntArray3399[var14] = var16;
                  var11 = this.aClass201_3397.method3437(var1 + 1);
                  ++var14;
               }

               var15 = 128;

               while(true) {
                  if(var15 > var1 - var12) {
                     var15 = var1 - var12;
                  }

                  int var18;
                  while(var14 < var15) {
                     var17 = (int)((long)anIntArray3399[var14 + var12] * (long)Class284.anInt3334 >> 16);

                     for(var18 = 0; var18 < var12; ++var18) {
                        var17 += (int)((long)anIntArray3399[var14 + var12 - 1 - var18] * (long)Class284.anIntArrayArray3339[0][var18] >> 16);
                     }

                     for(var18 = 0; var18 < var13; ++var18) {
                        var17 -= (int)((long)anIntArray3399[var14 - 1 - var18] * (long)Class284.anIntArrayArray3339[1][var18] >> 16);
                     }

                     anIntArray3399[var14] = var17;
                     var11 = this.aClass201_3397.method3437(var1 + 1);
                     ++var14;
                  }

                  if(var14 >= var1 - var12) {
                     while(var14 < var1) {
                        var17 = 0;

                        for(var18 = var14 + var12 - var1; var18 < var12; ++var18) {
                           var17 += (int)((long)anIntArray3399[var14 + var12 - 1 - var18] * (long)Class284.anIntArrayArray3339[0][var18] >> 16);
                        }

                        for(var18 = 0; var18 < var13; ++var18) {
                           var17 -= (int)((long)anIntArray3399[var14 - 1 - var18] * (long)Class284.anIntArrayArray3339[1][var18] >> 16);
                        }

                        anIntArray3399[var14] = var17;
                        this.aClass201_3397.method3437(var1 + 1);
                        ++var14;
                     }
                     break;
                  }

                  var12 = this.aClass284_3396.method5215(0, (float)var11 / 65536.0F);
                  var13 = this.aClass284_3396.method5215(1, (float)var11 / 65536.0F);
                  var15 += 128;
               }
            }
         }

         for(var11 = 0; var11 < var1; ++var11) {
            if(anIntArray3399[var11] < -32768) {
               anIntArray3399[var11] = -32768;
            }

            if(anIntArray3399[var11] > 32767) {
               anIntArray3399[var11] = 32767;
            }
         }

         return anIntArray3399;
      }
   }

   final int[] method5265(int var1, int var2) {
      Arrays.fill(anIntArray3399, 0, var1, 0);
      if(var2 < 10) {
         return anIntArray3399;
      } else {
         double var3 = (double)var1 / ((double)var2 + 0.0D);
         this.aClass201_3391.method3439();
         this.aClass201_3403.method3439();
         int var5 = 0;
         int var6 = 0;
         int var7 = 0;
         if(this.aClass201_3385 != null) {
            this.aClass201_3385.method3439();
            this.aClass201_3386.method3439();
            var5 = (int)((double)(this.aClass201_3385.anInt2388 - this.aClass201_3385.anInt2381) * 32.768D / var3);
            var6 = (int)((double)this.aClass201_3385.anInt2381 * 32.768D / var3);
         }

         int var8 = 0;
         int var9 = 0;
         int var10 = 0;
         if(this.aClass201_3387 != null) {
            this.aClass201_3387.method3439();
            this.aClass201_3388.method3439();
            var8 = (int)((double)(this.aClass201_3387.anInt2388 - this.aClass201_3387.anInt2381) * 32.768D / var3);
            var9 = (int)((double)this.aClass201_3387.anInt2381 * 32.768D / var3);
         }

         int var11;
         for(var11 = 0; var11 < 5; ++var11) {
            if(this.anIntArray3393[var11] != 0) {
               anIntArray3404[var11] = 0;
               anIntArray3405[var11] = (int)((double)this.anIntArray3383[var11] * var3);
               anIntArray3406[var11] = (this.anIntArray3393[var11] << 14) / 100;
               anIntArray3407[var11] = (int)((double)(this.aClass201_3391.anInt2388 - this.aClass201_3391.anInt2381) * 32.768D * Math.pow(1.0057929410678534D, (double)this.anIntArray3384[var11]) / var3);
               anIntArray3408[var11] = (int)((double)this.aClass201_3391.anInt2381 * 32.768D / var3);
            }
         }

         int var12;
         int var13;
         int var14;
         int var15;
         for(var11 = 0; var11 < var1; ++var11) {
            var12 = this.aClass201_3391.method3437(var1);
            var13 = this.aClass201_3403.method3437(var1);
            if(this.aClass201_3385 != null) {
               var14 = this.aClass201_3385.method3437(var1);
               var15 = this.aClass201_3386.method3437(var1);
               var12 += this.method5266(var7, var15, this.aClass201_3385.anInt2383) >> 1;
               var7 += (var14 * var5 >> 16) + var6;
            }

            if(this.aClass201_3387 != null) {
               var14 = this.aClass201_3387.method3437(var1);
               var15 = this.aClass201_3388.method3437(var1);
               var13 = var13 * ((this.method5266(var10, var15, this.aClass201_3387.anInt2383) >> 1) + '\u8000') >> 15;
               var10 += (var14 * var8 >> 16) + var9;
            }

            for(var14 = 0; var14 < 5; ++var14) {
               if(this.anIntArray3393[var14] != 0) {
                  var15 = var11 + anIntArray3405[var14];
                  if(var15 < var1) {
                     anIntArray3399[var15] += this.method5266(anIntArray3404[var14], var13 * anIntArray3406[var14] >> 15, this.aClass201_3391.anInt2383);
                     anIntArray3404[var14] += (var12 * anIntArray3407[var14] >> 16) + anIntArray3408[var14];
                  }
               }
            }
         }

         int var16;
         if(this.aClass201_3389 != null) {
            this.aClass201_3389.method3439();
            this.aClass201_3390.method3439();
            var11 = 0;
            boolean var20 = false;
            boolean var19 = true;

            for(var14 = 0; var14 < var1; ++var14) {
               var15 = this.aClass201_3389.method3437(var1);
               var16 = this.aClass201_3390.method3437(var1);
               if(var19) {
                  var12 = this.aClass201_3389.anInt2381 + ((this.aClass201_3389.anInt2388 - this.aClass201_3389.anInt2381) * var15 >> 8);
               } else {
                  var12 = this.aClass201_3389.anInt2381 + ((this.aClass201_3389.anInt2388 - this.aClass201_3389.anInt2381) * var16 >> 8);
               }

               var11 += 256;
               if(var11 >= var12) {
                  var11 = 0;
                  var19 = !var19;
               }

               if(var19) {
                  anIntArray3399[var14] = 0;
               }
            }
         }

         if(this.anInt3402 > 0 && this.anInt3395 > 0) {
            var11 = (int)((double)this.anInt3402 * var3);

            for(var12 = var11; var12 < var1; ++var12) {
               anIntArray3399[var12] += anIntArray3399[var12 - var11] * this.anInt3395 / 100;
            }
         }

         if(this.aClass284_3396.anIntArray3344[0] > 0 || this.aClass284_3396.anIntArray3344[1] > 0) {
            this.aClass201_3397.method3439();
            var11 = this.aClass201_3397.method3437(var1 + 1);
            var12 = this.aClass284_3396.method5215(0, (float)var11 / 65536.0F);
            var13 = this.aClass284_3396.method5215(1, (float)var11 / 65536.0F);
            if(var1 >= var12 + var13) {
               var14 = 0;
               var15 = var13;
               if(var13 > var1 - var12) {
                  var15 = var1 - var12;
               }

               int var17;
               while(var14 < var15) {
                  var16 = (int)((long)anIntArray3399[var14 + var12] * (long)Class284.anInt3334 >> 16);

                  for(var17 = 0; var17 < var12; ++var17) {
                     var16 += (int)((long)anIntArray3399[var14 + var12 - 1 - var17] * (long)Class284.anIntArrayArray3339[0][var17] >> 16);
                  }

                  for(var17 = 0; var17 < var14; ++var17) {
                     var16 -= (int)((long)anIntArray3399[var14 - 1 - var17] * (long)Class284.anIntArrayArray3339[1][var17] >> 16);
                  }

                  anIntArray3399[var14] = var16;
                  var11 = this.aClass201_3397.method3437(var1 + 1);
                  ++var14;
               }

               var15 = 128;

               while(true) {
                  if(var15 > var1 - var12) {
                     var15 = var1 - var12;
                  }

                  int var18;
                  while(var14 < var15) {
                     var17 = (int)((long)anIntArray3399[var14 + var12] * (long)Class284.anInt3334 >> 16);

                     for(var18 = 0; var18 < var12; ++var18) {
                        var17 += (int)((long)anIntArray3399[var14 + var12 - 1 - var18] * (long)Class284.anIntArrayArray3339[0][var18] >> 16);
                     }

                     for(var18 = 0; var18 < var13; ++var18) {
                        var17 -= (int)((long)anIntArray3399[var14 - 1 - var18] * (long)Class284.anIntArrayArray3339[1][var18] >> 16);
                     }

                     anIntArray3399[var14] = var17;
                     var11 = this.aClass201_3397.method3437(var1 + 1);
                     ++var14;
                  }

                  if(var14 >= var1 - var12) {
                     while(var14 < var1) {
                        var17 = 0;

                        for(var18 = var14 + var12 - var1; var18 < var12; ++var18) {
                           var17 += (int)((long)anIntArray3399[var14 + var12 - 1 - var18] * (long)Class284.anIntArrayArray3339[0][var18] >> 16);
                        }

                        for(var18 = 0; var18 < var13; ++var18) {
                           var17 -= (int)((long)anIntArray3399[var14 - 1 - var18] * (long)Class284.anIntArrayArray3339[1][var18] >> 16);
                        }

                        anIntArray3399[var14] = var17;
                        this.aClass201_3397.method3437(var1 + 1);
                        ++var14;
                     }
                     break;
                  }

                  var12 = this.aClass284_3396.method5215(0, (float)var11 / 65536.0F);
                  var13 = this.aClass284_3396.method5215(1, (float)var11 / 65536.0F);
                  var15 += 128;
               }
            }
         }

         for(var11 = 0; var11 < var1; ++var11) {
            if(anIntArray3399[var11] < -32768) {
               anIntArray3399[var11] = -32768;
            }

            if(anIntArray3399[var11] > 32767) {
               anIntArray3399[var11] = 32767;
            }
         }

         return anIntArray3399;
      }
   }

   final int method5266(int var1, int var2, int var3) {
      return var3 == 1?((var1 & 32767) < 16384?var2:-var2):(var3 == 2?anIntArray3400[var1 & 32767] * var2 >> 14:(var3 == 3?((var1 & 32767) * var2 >> 14) - var2:(var3 == 4?anIntArray3401[var1 / 2607 & 32767] * var2:0)));
   }

   final int[] method5267(int var1, int var2) {
      Arrays.fill(anIntArray3399, 0, var1, 0);
      if(var2 < 10) {
         return anIntArray3399;
      } else {
         double var3 = (double)var1 / ((double)var2 + 0.0D);
         this.aClass201_3391.method3439();
         this.aClass201_3403.method3439();
         int var5 = 0;
         int var6 = 0;
         int var7 = 0;
         if(this.aClass201_3385 != null) {
            this.aClass201_3385.method3439();
            this.aClass201_3386.method3439();
            var5 = (int)((double)(this.aClass201_3385.anInt2388 - this.aClass201_3385.anInt2381) * 32.768D / var3);
            var6 = (int)((double)this.aClass201_3385.anInt2381 * 32.768D / var3);
         }

         int var8 = 0;
         int var9 = 0;
         int var10 = 0;
         if(this.aClass201_3387 != null) {
            this.aClass201_3387.method3439();
            this.aClass201_3388.method3439();
            var8 = (int)((double)(this.aClass201_3387.anInt2388 - this.aClass201_3387.anInt2381) * 32.768D / var3);
            var9 = (int)((double)this.aClass201_3387.anInt2381 * 32.768D / var3);
         }

         int var11;
         for(var11 = 0; var11 < 5; ++var11) {
            if(this.anIntArray3393[var11] != 0) {
               anIntArray3404[var11] = 0;
               anIntArray3405[var11] = (int)((double)this.anIntArray3383[var11] * var3);
               anIntArray3406[var11] = (this.anIntArray3393[var11] << 14) / 100;
               anIntArray3407[var11] = (int)((double)(this.aClass201_3391.anInt2388 - this.aClass201_3391.anInt2381) * 32.768D * Math.pow(1.0057929410678534D, (double)this.anIntArray3384[var11]) / var3);
               anIntArray3408[var11] = (int)((double)this.aClass201_3391.anInt2381 * 32.768D / var3);
            }
         }

         int var12;
         int var13;
         int var14;
         int var15;
         for(var11 = 0; var11 < var1; ++var11) {
            var12 = this.aClass201_3391.method3437(var1);
            var13 = this.aClass201_3403.method3437(var1);
            if(this.aClass201_3385 != null) {
               var14 = this.aClass201_3385.method3437(var1);
               var15 = this.aClass201_3386.method3437(var1);
               var12 += this.method5266(var7, var15, this.aClass201_3385.anInt2383) >> 1;
               var7 += (var14 * var5 >> 16) + var6;
            }

            if(this.aClass201_3387 != null) {
               var14 = this.aClass201_3387.method3437(var1);
               var15 = this.aClass201_3388.method3437(var1);
               var13 = var13 * ((this.method5266(var10, var15, this.aClass201_3387.anInt2383) >> 1) + '\u8000') >> 15;
               var10 += (var14 * var8 >> 16) + var9;
            }

            for(var14 = 0; var14 < 5; ++var14) {
               if(this.anIntArray3393[var14] != 0) {
                  var15 = var11 + anIntArray3405[var14];
                  if(var15 < var1) {
                     anIntArray3399[var15] += this.method5266(anIntArray3404[var14], var13 * anIntArray3406[var14] >> 15, this.aClass201_3391.anInt2383);
                     anIntArray3404[var14] += (var12 * anIntArray3407[var14] >> 16) + anIntArray3408[var14];
                  }
               }
            }
         }

         int var16;
         if(this.aClass201_3389 != null) {
            this.aClass201_3389.method3439();
            this.aClass201_3390.method3439();
            var11 = 0;
            boolean var20 = false;
            boolean var19 = true;

            for(var14 = 0; var14 < var1; ++var14) {
               var15 = this.aClass201_3389.method3437(var1);
               var16 = this.aClass201_3390.method3437(var1);
               if(var19) {
                  var12 = this.aClass201_3389.anInt2381 + ((this.aClass201_3389.anInt2388 - this.aClass201_3389.anInt2381) * var15 >> 8);
               } else {
                  var12 = this.aClass201_3389.anInt2381 + ((this.aClass201_3389.anInt2388 - this.aClass201_3389.anInt2381) * var16 >> 8);
               }

               var11 += 256;
               if(var11 >= var12) {
                  var11 = 0;
                  var19 = !var19;
               }

               if(var19) {
                  anIntArray3399[var14] = 0;
               }
            }
         }

         if(this.anInt3402 > 0 && this.anInt3395 > 0) {
            var11 = (int)((double)this.anInt3402 * var3);

            for(var12 = var11; var12 < var1; ++var12) {
               anIntArray3399[var12] += anIntArray3399[var12 - var11] * this.anInt3395 / 100;
            }
         }

         if(this.aClass284_3396.anIntArray3344[0] > 0 || this.aClass284_3396.anIntArray3344[1] > 0) {
            this.aClass201_3397.method3439();
            var11 = this.aClass201_3397.method3437(var1 + 1);
            var12 = this.aClass284_3396.method5215(0, (float)var11 / 65536.0F);
            var13 = this.aClass284_3396.method5215(1, (float)var11 / 65536.0F);
            if(var1 >= var12 + var13) {
               var14 = 0;
               var15 = var13;
               if(var13 > var1 - var12) {
                  var15 = var1 - var12;
               }

               int var17;
               while(var14 < var15) {
                  var16 = (int)((long)anIntArray3399[var14 + var12] * (long)Class284.anInt3334 >> 16);

                  for(var17 = 0; var17 < var12; ++var17) {
                     var16 += (int)((long)anIntArray3399[var14 + var12 - 1 - var17] * (long)Class284.anIntArrayArray3339[0][var17] >> 16);
                  }

                  for(var17 = 0; var17 < var14; ++var17) {
                     var16 -= (int)((long)anIntArray3399[var14 - 1 - var17] * (long)Class284.anIntArrayArray3339[1][var17] >> 16);
                  }

                  anIntArray3399[var14] = var16;
                  var11 = this.aClass201_3397.method3437(var1 + 1);
                  ++var14;
               }

               var15 = 128;

               while(true) {
                  if(var15 > var1 - var12) {
                     var15 = var1 - var12;
                  }

                  int var18;
                  while(var14 < var15) {
                     var17 = (int)((long)anIntArray3399[var14 + var12] * (long)Class284.anInt3334 >> 16);

                     for(var18 = 0; var18 < var12; ++var18) {
                        var17 += (int)((long)anIntArray3399[var14 + var12 - 1 - var18] * (long)Class284.anIntArrayArray3339[0][var18] >> 16);
                     }

                     for(var18 = 0; var18 < var13; ++var18) {
                        var17 -= (int)((long)anIntArray3399[var14 - 1 - var18] * (long)Class284.anIntArrayArray3339[1][var18] >> 16);
                     }

                     anIntArray3399[var14] = var17;
                     var11 = this.aClass201_3397.method3437(var1 + 1);
                     ++var14;
                  }

                  if(var14 >= var1 - var12) {
                     while(var14 < var1) {
                        var17 = 0;

                        for(var18 = var14 + var12 - var1; var18 < var12; ++var18) {
                           var17 += (int)((long)anIntArray3399[var14 + var12 - 1 - var18] * (long)Class284.anIntArrayArray3339[0][var18] >> 16);
                        }

                        for(var18 = 0; var18 < var13; ++var18) {
                           var17 -= (int)((long)anIntArray3399[var14 - 1 - var18] * (long)Class284.anIntArrayArray3339[1][var18] >> 16);
                        }

                        anIntArray3399[var14] = var17;
                        this.aClass201_3397.method3437(var1 + 1);
                        ++var14;
                     }
                     break;
                  }

                  var12 = this.aClass284_3396.method5215(0, (float)var11 / 65536.0F);
                  var13 = this.aClass284_3396.method5215(1, (float)var11 / 65536.0F);
                  var15 += 128;
               }
            }
         }

         for(var11 = 0; var11 < var1; ++var11) {
            if(anIntArray3399[var11] < -32768) {
               anIntArray3399[var11] = -32768;
            }

            if(anIntArray3399[var11] > 32767) {
               anIntArray3399[var11] = 32767;
            }
         }

         return anIntArray3399;
      }
   }

   static {
      Random var0 = new Random(0L);

      int var1;
      for(var1 = 0; var1 < '\u8000'; ++var1) {
         anIntArray3401[var1] = (var0.nextInt() & 2) - 1;
      }

      anIntArray3400 = new int['\u8000'];

      for(var1 = 0; var1 < '\u8000'; ++var1) {
         anIntArray3400[var1] = (int)(Math.sin((double)var1 / 5215.1903D) * 16384.0D);
      }

      anIntArray3399 = new int[220500];
      anIntArray3404 = new int[5];
      anIntArray3405 = new int[5];
      anIntArray3406 = new int[5];
      anIntArray3407 = new int[5];
      anIntArray3408 = new int[5];
   }

   final void method5268(RS2Buffer var1) {
      this.aClass201_3391 = new Class201();
      this.aClass201_3391.method3441(var1);
      this.aClass201_3403 = new Class201();
      this.aClass201_3403.method3441(var1);
      int var2 = var1.readUnsignedByte(-700559597);
      if(var2 != 0) {
         var1.position -= 1385214721;
         this.aClass201_3385 = new Class201();
         this.aClass201_3385.method3441(var1);
         this.aClass201_3386 = new Class201();
         this.aClass201_3386.method3441(var1);
      }

      var2 = var1.readUnsignedByte(-700559597);
      if(var2 != 0) {
         var1.position -= 1385214721;
         this.aClass201_3387 = new Class201();
         this.aClass201_3387.method3441(var1);
         this.aClass201_3388 = new Class201();
         this.aClass201_3388.method3441(var1);
      }

      var2 = var1.readUnsignedByte(-700559597);
      if(var2 != 0) {
         var1.position -= 1385214721;
         this.aClass201_3389 = new Class201();
         this.aClass201_3389.method3441(var1);
         this.aClass201_3390 = new Class201();
         this.aClass201_3390.method3441(var1);
      }

      for(int var3 = 0; var3 < 10; ++var3) {
         int var4 = var1.readSmart(502597187);
         if(var4 == 0) {
            break;
         }

         this.anIntArray3393[var3] = var4;
         this.anIntArray3384[var3] = var1.method13738(1197976903);
         this.anIntArray3383[var3] = var1.readSmart(1630817558);
      }

      this.anInt3402 = var1.readSmart(100815662);
      this.anInt3395 = var1.readSmart(1734380742);
      this.anInt3398 = var1.readUnsignedShort(-937710807);
      this.anInt3392 = var1.readUnsignedShort(-937710807);
      this.aClass284_3396 = new Class284();
      this.aClass201_3397 = new Class201();
      this.aClass284_3396.method5216(var1, this.aClass201_3397);
   }

   final int[] method5269(int var1, int var2) {
      Arrays.fill(anIntArray3399, 0, var1, 0);
      if(var2 < 10) {
         return anIntArray3399;
      } else {
         double var3 = (double)var1 / ((double)var2 + 0.0D);
         this.aClass201_3391.method3439();
         this.aClass201_3403.method3439();
         int var5 = 0;
         int var6 = 0;
         int var7 = 0;
         if(this.aClass201_3385 != null) {
            this.aClass201_3385.method3439();
            this.aClass201_3386.method3439();
            var5 = (int)((double)(this.aClass201_3385.anInt2388 - this.aClass201_3385.anInt2381) * 32.768D / var3);
            var6 = (int)((double)this.aClass201_3385.anInt2381 * 32.768D / var3);
         }

         int var8 = 0;
         int var9 = 0;
         int var10 = 0;
         if(this.aClass201_3387 != null) {
            this.aClass201_3387.method3439();
            this.aClass201_3388.method3439();
            var8 = (int)((double)(this.aClass201_3387.anInt2388 - this.aClass201_3387.anInt2381) * 32.768D / var3);
            var9 = (int)((double)this.aClass201_3387.anInt2381 * 32.768D / var3);
         }

         int var11;
         for(var11 = 0; var11 < 5; ++var11) {
            if(this.anIntArray3393[var11] != 0) {
               anIntArray3404[var11] = 0;
               anIntArray3405[var11] = (int)((double)this.anIntArray3383[var11] * var3);
               anIntArray3406[var11] = (this.anIntArray3393[var11] << 14) / 100;
               anIntArray3407[var11] = (int)((double)(this.aClass201_3391.anInt2388 - this.aClass201_3391.anInt2381) * 32.768D * Math.pow(1.0057929410678534D, (double)this.anIntArray3384[var11]) / var3);
               anIntArray3408[var11] = (int)((double)this.aClass201_3391.anInt2381 * 32.768D / var3);
            }
         }

         int var12;
         int var13;
         int var14;
         int var15;
         for(var11 = 0; var11 < var1; ++var11) {
            var12 = this.aClass201_3391.method3437(var1);
            var13 = this.aClass201_3403.method3437(var1);
            if(this.aClass201_3385 != null) {
               var14 = this.aClass201_3385.method3437(var1);
               var15 = this.aClass201_3386.method3437(var1);
               var12 += this.method5266(var7, var15, this.aClass201_3385.anInt2383) >> 1;
               var7 += (var14 * var5 >> 16) + var6;
            }

            if(this.aClass201_3387 != null) {
               var14 = this.aClass201_3387.method3437(var1);
               var15 = this.aClass201_3388.method3437(var1);
               var13 = var13 * ((this.method5266(var10, var15, this.aClass201_3387.anInt2383) >> 1) + '\u8000') >> 15;
               var10 += (var14 * var8 >> 16) + var9;
            }

            for(var14 = 0; var14 < 5; ++var14) {
               if(this.anIntArray3393[var14] != 0) {
                  var15 = var11 + anIntArray3405[var14];
                  if(var15 < var1) {
                     anIntArray3399[var15] += this.method5266(anIntArray3404[var14], var13 * anIntArray3406[var14] >> 15, this.aClass201_3391.anInt2383);
                     anIntArray3404[var14] += (var12 * anIntArray3407[var14] >> 16) + anIntArray3408[var14];
                  }
               }
            }
         }

         int var16;
         if(this.aClass201_3389 != null) {
            this.aClass201_3389.method3439();
            this.aClass201_3390.method3439();
            var11 = 0;
            boolean var20 = false;
            boolean var19 = true;

            for(var14 = 0; var14 < var1; ++var14) {
               var15 = this.aClass201_3389.method3437(var1);
               var16 = this.aClass201_3390.method3437(var1);
               if(var19) {
                  var12 = this.aClass201_3389.anInt2381 + ((this.aClass201_3389.anInt2388 - this.aClass201_3389.anInt2381) * var15 >> 8);
               } else {
                  var12 = this.aClass201_3389.anInt2381 + ((this.aClass201_3389.anInt2388 - this.aClass201_3389.anInt2381) * var16 >> 8);
               }

               var11 += 256;
               if(var11 >= var12) {
                  var11 = 0;
                  var19 = !var19;
               }

               if(var19) {
                  anIntArray3399[var14] = 0;
               }
            }
         }

         if(this.anInt3402 > 0 && this.anInt3395 > 0) {
            var11 = (int)((double)this.anInt3402 * var3);

            for(var12 = var11; var12 < var1; ++var12) {
               anIntArray3399[var12] += anIntArray3399[var12 - var11] * this.anInt3395 / 100;
            }
         }

         if(this.aClass284_3396.anIntArray3344[0] > 0 || this.aClass284_3396.anIntArray3344[1] > 0) {
            this.aClass201_3397.method3439();
            var11 = this.aClass201_3397.method3437(var1 + 1);
            var12 = this.aClass284_3396.method5215(0, (float)var11 / 65536.0F);
            var13 = this.aClass284_3396.method5215(1, (float)var11 / 65536.0F);
            if(var1 >= var12 + var13) {
               var14 = 0;
               var15 = var13;
               if(var13 > var1 - var12) {
                  var15 = var1 - var12;
               }

               int var17;
               while(var14 < var15) {
                  var16 = (int)((long)anIntArray3399[var14 + var12] * (long)Class284.anInt3334 >> 16);

                  for(var17 = 0; var17 < var12; ++var17) {
                     var16 += (int)((long)anIntArray3399[var14 + var12 - 1 - var17] * (long)Class284.anIntArrayArray3339[0][var17] >> 16);
                  }

                  for(var17 = 0; var17 < var14; ++var17) {
                     var16 -= (int)((long)anIntArray3399[var14 - 1 - var17] * (long)Class284.anIntArrayArray3339[1][var17] >> 16);
                  }

                  anIntArray3399[var14] = var16;
                  var11 = this.aClass201_3397.method3437(var1 + 1);
                  ++var14;
               }

               var15 = 128;

               while(true) {
                  if(var15 > var1 - var12) {
                     var15 = var1 - var12;
                  }

                  int var18;
                  while(var14 < var15) {
                     var17 = (int)((long)anIntArray3399[var14 + var12] * (long)Class284.anInt3334 >> 16);

                     for(var18 = 0; var18 < var12; ++var18) {
                        var17 += (int)((long)anIntArray3399[var14 + var12 - 1 - var18] * (long)Class284.anIntArrayArray3339[0][var18] >> 16);
                     }

                     for(var18 = 0; var18 < var13; ++var18) {
                        var17 -= (int)((long)anIntArray3399[var14 - 1 - var18] * (long)Class284.anIntArrayArray3339[1][var18] >> 16);
                     }

                     anIntArray3399[var14] = var17;
                     var11 = this.aClass201_3397.method3437(var1 + 1);
                     ++var14;
                  }

                  if(var14 >= var1 - var12) {
                     while(var14 < var1) {
                        var17 = 0;

                        for(var18 = var14 + var12 - var1; var18 < var12; ++var18) {
                           var17 += (int)((long)anIntArray3399[var14 + var12 - 1 - var18] * (long)Class284.anIntArrayArray3339[0][var18] >> 16);
                        }

                        for(var18 = 0; var18 < var13; ++var18) {
                           var17 -= (int)((long)anIntArray3399[var14 - 1 - var18] * (long)Class284.anIntArrayArray3339[1][var18] >> 16);
                        }

                        anIntArray3399[var14] = var17;
                        this.aClass201_3397.method3437(var1 + 1);
                        ++var14;
                     }
                     break;
                  }

                  var12 = this.aClass284_3396.method5215(0, (float)var11 / 65536.0F);
                  var13 = this.aClass284_3396.method5215(1, (float)var11 / 65536.0F);
                  var15 += 128;
               }
            }
         }

         for(var11 = 0; var11 < var1; ++var11) {
            if(anIntArray3399[var11] < -32768) {
               anIntArray3399[var11] = -32768;
            }

            if(anIntArray3399[var11] > 32767) {
               anIntArray3399[var11] = 32767;
            }
         }

         return anIntArray3399;
      }
   }

   final int[] method5270(int var1, int var2) {
      Arrays.fill(anIntArray3399, 0, var1, 0);
      if(var2 < 10) {
         return anIntArray3399;
      } else {
         double var3 = (double)var1 / ((double)var2 + 0.0D);
         this.aClass201_3391.method3439();
         this.aClass201_3403.method3439();
         int var5 = 0;
         int var6 = 0;
         int var7 = 0;
         if(this.aClass201_3385 != null) {
            this.aClass201_3385.method3439();
            this.aClass201_3386.method3439();
            var5 = (int)((double)(this.aClass201_3385.anInt2388 - this.aClass201_3385.anInt2381) * 32.768D / var3);
            var6 = (int)((double)this.aClass201_3385.anInt2381 * 32.768D / var3);
         }

         int var8 = 0;
         int var9 = 0;
         int var10 = 0;
         if(this.aClass201_3387 != null) {
            this.aClass201_3387.method3439();
            this.aClass201_3388.method3439();
            var8 = (int)((double)(this.aClass201_3387.anInt2388 - this.aClass201_3387.anInt2381) * 32.768D / var3);
            var9 = (int)((double)this.aClass201_3387.anInt2381 * 32.768D / var3);
         }

         int var11;
         for(var11 = 0; var11 < 5; ++var11) {
            if(this.anIntArray3393[var11] != 0) {
               anIntArray3404[var11] = 0;
               anIntArray3405[var11] = (int)((double)this.anIntArray3383[var11] * var3);
               anIntArray3406[var11] = (this.anIntArray3393[var11] << 14) / 100;
               anIntArray3407[var11] = (int)((double)(this.aClass201_3391.anInt2388 - this.aClass201_3391.anInt2381) * 32.768D * Math.pow(1.0057929410678534D, (double)this.anIntArray3384[var11]) / var3);
               anIntArray3408[var11] = (int)((double)this.aClass201_3391.anInt2381 * 32.768D / var3);
            }
         }

         int var12;
         int var13;
         int var14;
         int var15;
         for(var11 = 0; var11 < var1; ++var11) {
            var12 = this.aClass201_3391.method3437(var1);
            var13 = this.aClass201_3403.method3437(var1);
            if(this.aClass201_3385 != null) {
               var14 = this.aClass201_3385.method3437(var1);
               var15 = this.aClass201_3386.method3437(var1);
               var12 += this.method5266(var7, var15, this.aClass201_3385.anInt2383) >> 1;
               var7 += (var14 * var5 >> 16) + var6;
            }

            if(this.aClass201_3387 != null) {
               var14 = this.aClass201_3387.method3437(var1);
               var15 = this.aClass201_3388.method3437(var1);
               var13 = var13 * ((this.method5266(var10, var15, this.aClass201_3387.anInt2383) >> 1) + '\u8000') >> 15;
               var10 += (var14 * var8 >> 16) + var9;
            }

            for(var14 = 0; var14 < 5; ++var14) {
               if(this.anIntArray3393[var14] != 0) {
                  var15 = var11 + anIntArray3405[var14];
                  if(var15 < var1) {
                     anIntArray3399[var15] += this.method5266(anIntArray3404[var14], var13 * anIntArray3406[var14] >> 15, this.aClass201_3391.anInt2383);
                     anIntArray3404[var14] += (var12 * anIntArray3407[var14] >> 16) + anIntArray3408[var14];
                  }
               }
            }
         }

         int var16;
         if(this.aClass201_3389 != null) {
            this.aClass201_3389.method3439();
            this.aClass201_3390.method3439();
            var11 = 0;
            boolean var20 = false;
            boolean var19 = true;

            for(var14 = 0; var14 < var1; ++var14) {
               var15 = this.aClass201_3389.method3437(var1);
               var16 = this.aClass201_3390.method3437(var1);
               if(var19) {
                  var12 = this.aClass201_3389.anInt2381 + ((this.aClass201_3389.anInt2388 - this.aClass201_3389.anInt2381) * var15 >> 8);
               } else {
                  var12 = this.aClass201_3389.anInt2381 + ((this.aClass201_3389.anInt2388 - this.aClass201_3389.anInt2381) * var16 >> 8);
               }

               var11 += 256;
               if(var11 >= var12) {
                  var11 = 0;
                  var19 = !var19;
               }

               if(var19) {
                  anIntArray3399[var14] = 0;
               }
            }
         }

         if(this.anInt3402 > 0 && this.anInt3395 > 0) {
            var11 = (int)((double)this.anInt3402 * var3);

            for(var12 = var11; var12 < var1; ++var12) {
               anIntArray3399[var12] += anIntArray3399[var12 - var11] * this.anInt3395 / 100;
            }
         }

         if(this.aClass284_3396.anIntArray3344[0] > 0 || this.aClass284_3396.anIntArray3344[1] > 0) {
            this.aClass201_3397.method3439();
            var11 = this.aClass201_3397.method3437(var1 + 1);
            var12 = this.aClass284_3396.method5215(0, (float)var11 / 65536.0F);
            var13 = this.aClass284_3396.method5215(1, (float)var11 / 65536.0F);
            if(var1 >= var12 + var13) {
               var14 = 0;
               var15 = var13;
               if(var13 > var1 - var12) {
                  var15 = var1 - var12;
               }

               int var17;
               while(var14 < var15) {
                  var16 = (int)((long)anIntArray3399[var14 + var12] * (long)Class284.anInt3334 >> 16);

                  for(var17 = 0; var17 < var12; ++var17) {
                     var16 += (int)((long)anIntArray3399[var14 + var12 - 1 - var17] * (long)Class284.anIntArrayArray3339[0][var17] >> 16);
                  }

                  for(var17 = 0; var17 < var14; ++var17) {
                     var16 -= (int)((long)anIntArray3399[var14 - 1 - var17] * (long)Class284.anIntArrayArray3339[1][var17] >> 16);
                  }

                  anIntArray3399[var14] = var16;
                  var11 = this.aClass201_3397.method3437(var1 + 1);
                  ++var14;
               }

               var15 = 128;

               while(true) {
                  if(var15 > var1 - var12) {
                     var15 = var1 - var12;
                  }

                  int var18;
                  while(var14 < var15) {
                     var17 = (int)((long)anIntArray3399[var14 + var12] * (long)Class284.anInt3334 >> 16);

                     for(var18 = 0; var18 < var12; ++var18) {
                        var17 += (int)((long)anIntArray3399[var14 + var12 - 1 - var18] * (long)Class284.anIntArrayArray3339[0][var18] >> 16);
                     }

                     for(var18 = 0; var18 < var13; ++var18) {
                        var17 -= (int)((long)anIntArray3399[var14 - 1 - var18] * (long)Class284.anIntArrayArray3339[1][var18] >> 16);
                     }

                     anIntArray3399[var14] = var17;
                     var11 = this.aClass201_3397.method3437(var1 + 1);
                     ++var14;
                  }

                  if(var14 >= var1 - var12) {
                     while(var14 < var1) {
                        var17 = 0;

                        for(var18 = var14 + var12 - var1; var18 < var12; ++var18) {
                           var17 += (int)((long)anIntArray3399[var14 + var12 - 1 - var18] * (long)Class284.anIntArrayArray3339[0][var18] >> 16);
                        }

                        for(var18 = 0; var18 < var13; ++var18) {
                           var17 -= (int)((long)anIntArray3399[var14 - 1 - var18] * (long)Class284.anIntArrayArray3339[1][var18] >> 16);
                        }

                        anIntArray3399[var14] = var17;
                        this.aClass201_3397.method3437(var1 + 1);
                        ++var14;
                     }
                     break;
                  }

                  var12 = this.aClass284_3396.method5215(0, (float)var11 / 65536.0F);
                  var13 = this.aClass284_3396.method5215(1, (float)var11 / 65536.0F);
                  var15 += 128;
               }
            }
         }

         for(var11 = 0; var11 < var1; ++var11) {
            if(anIntArray3399[var11] < -32768) {
               anIntArray3399[var11] = -32768;
            }

            if(anIntArray3399[var11] > 32767) {
               anIntArray3399[var11] = 32767;
            }
         }

         return anIntArray3399;
      }
   }

   final void method5271(RS2Buffer var1) {
      this.aClass201_3391 = new Class201();
      this.aClass201_3391.method3441(var1);
      this.aClass201_3403 = new Class201();
      this.aClass201_3403.method3441(var1);
      int var2 = var1.readUnsignedByte(-700559597);
      if(var2 != 0) {
         var1.position -= 1385214721;
         this.aClass201_3385 = new Class201();
         this.aClass201_3385.method3441(var1);
         this.aClass201_3386 = new Class201();
         this.aClass201_3386.method3441(var1);
      }

      var2 = var1.readUnsignedByte(-700559597);
      if(var2 != 0) {
         var1.position -= 1385214721;
         this.aClass201_3387 = new Class201();
         this.aClass201_3387.method3441(var1);
         this.aClass201_3388 = new Class201();
         this.aClass201_3388.method3441(var1);
      }

      var2 = var1.readUnsignedByte(-700559597);
      if(var2 != 0) {
         var1.position -= 1385214721;
         this.aClass201_3389 = new Class201();
         this.aClass201_3389.method3441(var1);
         this.aClass201_3390 = new Class201();
         this.aClass201_3390.method3441(var1);
      }

      for(int var3 = 0; var3 < 10; ++var3) {
         int var4 = var1.readSmart(687115555);
         if(var4 == 0) {
            break;
         }

         this.anIntArray3393[var3] = var4;
         this.anIntArray3384[var3] = var1.method13738(355698954);
         this.anIntArray3383[var3] = var1.readSmart(1605510616);
      }

      this.anInt3402 = var1.readSmart(1046897245);
      this.anInt3395 = var1.readSmart(227844623);
      this.anInt3398 = var1.readUnsignedShort(-937710807);
      this.anInt3392 = var1.readUnsignedShort(-937710807);
      this.aClass284_3396 = new Class284();
      this.aClass201_3397 = new Class201();
      this.aClass284_3396.method5216(var1, this.aClass201_3397);
   }

   final void method5272(RS2Buffer var1) {
      this.aClass201_3391 = new Class201();
      this.aClass201_3391.method3441(var1);
      this.aClass201_3403 = new Class201();
      this.aClass201_3403.method3441(var1);
      int var2 = var1.readUnsignedByte(-700559597);
      if(var2 != 0) {
         var1.position -= 1385214721;
         this.aClass201_3385 = new Class201();
         this.aClass201_3385.method3441(var1);
         this.aClass201_3386 = new Class201();
         this.aClass201_3386.method3441(var1);
      }

      var2 = var1.readUnsignedByte(-700559597);
      if(var2 != 0) {
         var1.position -= 1385214721;
         this.aClass201_3387 = new Class201();
         this.aClass201_3387.method3441(var1);
         this.aClass201_3388 = new Class201();
         this.aClass201_3388.method3441(var1);
      }

      var2 = var1.readUnsignedByte(-700559597);
      if(var2 != 0) {
         var1.position -= 1385214721;
         this.aClass201_3389 = new Class201();
         this.aClass201_3389.method3441(var1);
         this.aClass201_3390 = new Class201();
         this.aClass201_3390.method3441(var1);
      }

      for(int var3 = 0; var3 < 10; ++var3) {
         int var4 = var1.readSmart(1682659662);
         if(var4 == 0) {
            break;
         }

         this.anIntArray3393[var3] = var4;
         this.anIntArray3384[var3] = var1.method13738(-2018791906);
         this.anIntArray3383[var3] = var1.readSmart(559097245);
      }

      this.anInt3402 = var1.readSmart(738696725);
      this.anInt3395 = var1.readSmart(1903381042);
      this.anInt3398 = var1.readUnsignedShort(-937710807);
      this.anInt3392 = var1.readUnsignedShort(-937710807);
      this.aClass284_3396 = new Class284();
      this.aClass201_3397 = new Class201();
      this.aClass284_3396.method5216(var1, this.aClass201_3397);
   }

   final void method5273(RS2Buffer var1) {
      this.aClass201_3391 = new Class201();
      this.aClass201_3391.method3441(var1);
      this.aClass201_3403 = new Class201();
      this.aClass201_3403.method3441(var1);
      int var2 = var1.readUnsignedByte(-700559597);
      if(var2 != 0) {
         var1.position -= 1385214721;
         this.aClass201_3385 = new Class201();
         this.aClass201_3385.method3441(var1);
         this.aClass201_3386 = new Class201();
         this.aClass201_3386.method3441(var1);
      }

      var2 = var1.readUnsignedByte(-700559597);
      if(var2 != 0) {
         var1.position -= 1385214721;
         this.aClass201_3387 = new Class201();
         this.aClass201_3387.method3441(var1);
         this.aClass201_3388 = new Class201();
         this.aClass201_3388.method3441(var1);
      }

      var2 = var1.readUnsignedByte(-700559597);
      if(var2 != 0) {
         var1.position -= 1385214721;
         this.aClass201_3389 = new Class201();
         this.aClass201_3389.method3441(var1);
         this.aClass201_3390 = new Class201();
         this.aClass201_3390.method3441(var1);
      }

      for(int var3 = 0; var3 < 10; ++var3) {
         int var4 = var1.readSmart(1439597123);
         if(var4 == 0) {
            break;
         }

         this.anIntArray3393[var3] = var4;
         this.anIntArray3384[var3] = var1.method13738(-1226019894);
         this.anIntArray3383[var3] = var1.readSmart(1438633502);
      }

      this.anInt3402 = var1.readSmart(-9253012);
      this.anInt3395 = var1.readSmart(1113822727);
      this.anInt3398 = var1.readUnsignedShort(-937710807);
      this.anInt3392 = var1.readUnsignedShort(-937710807);
      this.aClass284_3396 = new Class284();
      this.aClass201_3397 = new Class201();
      this.aClass284_3396.method5216(var1, this.aClass201_3397);
   }

   final void method5274(RS2Buffer var1) {
      this.aClass201_3391 = new Class201();
      this.aClass201_3391.method3441(var1);
      this.aClass201_3403 = new Class201();
      this.aClass201_3403.method3441(var1);
      int var2 = var1.readUnsignedByte(-700559597);
      if(var2 != 0) {
         var1.position -= 1385214721;
         this.aClass201_3385 = new Class201();
         this.aClass201_3385.method3441(var1);
         this.aClass201_3386 = new Class201();
         this.aClass201_3386.method3441(var1);
      }

      var2 = var1.readUnsignedByte(-700559597);
      if(var2 != 0) {
         var1.position -= 1385214721;
         this.aClass201_3387 = new Class201();
         this.aClass201_3387.method3441(var1);
         this.aClass201_3388 = new Class201();
         this.aClass201_3388.method3441(var1);
      }

      var2 = var1.readUnsignedByte(-700559597);
      if(var2 != 0) {
         var1.position -= 1385214721;
         this.aClass201_3389 = new Class201();
         this.aClass201_3389.method3441(var1);
         this.aClass201_3390 = new Class201();
         this.aClass201_3390.method3441(var1);
      }

      for(int var3 = 0; var3 < 10; ++var3) {
         int var4 = var1.readSmart(1789302613);
         if(var4 == 0) {
            break;
         }

         this.anIntArray3393[var3] = var4;
         this.anIntArray3384[var3] = var1.method13738(-853354396);
         this.anIntArray3383[var3] = var1.readSmart(-70332712);
      }

      this.anInt3402 = var1.readSmart(1420624343);
      this.anInt3395 = var1.readSmart(1502397576);
      this.anInt3398 = var1.readUnsignedShort(-937710807);
      this.anInt3392 = var1.readUnsignedShort(-937710807);
      this.aClass284_3396 = new Class284();
      this.aClass201_3397 = new Class201();
      this.aClass284_3396.method5216(var1, this.aClass201_3397);
   }
}
